%global pypi_name testrepository

Name:           python-%{pypi_name}
Version:        0.0.21
Release:        %mkrel 1
Summary:        A repository of test results
Group:          Development/Python
License:        ASL2.0 or BSD
URL:            https://launchpad.net/testrepository
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)

%description
This project provides a database of test results which can be used as part of
developer workflow to ensure/check things like:
* No commits without having had a test failure, test fixed cycle.
* No commits without new tests being added.
* What tests have failed since the last commit (to run just a subset).
* What tests are currently failing and need work.

%package -n     python3-%{pypi_name}
Summary:        A repository of test results
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This project provides a database of test results which can be used as part of
developer workflow to ensure/check things like:
* No commits without having had a test failure, test fixed cycle.
* No commits without new tests being added.
* What tests have failed since the last commit (to run just a subset).
* What tests are currently failing and need work.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

ln -s %{buildroot}%{_bindir}/testr{,-%{python3_version}}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/testr
%{_bindir}/testr-%{python3_version}


%changelog
* Sun Mar 02 2025 wally <wally> 0.0.21-1.mga10
+ Revision: 2156962
- new version 0.0.21
- rebuild for python3.13

* Mon Dec 18 2023 papoteur <papoteur> 0.0.20-14.mga10
+ Revision: 2018946
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.0.20-13.mga9
+ Revision: 1823229
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.0.20-12.mga9
+ Revision: 1781635
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 0.0.20-11.mga9
+ Revision: 1743173
- ship with /usr/bin/testr

* Sun Mar 21 2021 daviddavid <daviddavid> 0.0.20-10.mga9
+ Revision: 1706461
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.0.20-9.mga8
+ Revision: 1532692
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.0.20-8.mga8
+ Revision: 1442610
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 0.0.20-7.mga7
+ Revision: 1352043
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.0.20-6.mga7
+ Revision: 1290400
- Mageia 7 Mass Rebuild

* Thu Mar 22 2018 kekepower <kekepower> 0.0.20-5.mga7
+ Revision: 1211340
- Renamed python-testrepository to python2-testrepository
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 0.0.20-4.mga7
+ Revision: 1135660
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.0.20-3.mga6
+ Revision: 971213
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 0.0.20-2.mga6
+ Revision: 889840
- add python3 package
- use new python macros

* Mon Aug 31 2015 fwang <fwang> 0.0.20-1.mga6
+ Revision: 871507
- update file list
- add spec
+ bcornec <bcornec>
- Created package structure for python-testrepository.

